﻿using System;
using System.Collections.Generic;

namespace SyncfusionASPNETApplication18
{

    public partial class GridFeatures : System.Web.UI.Page
    {
       public static List<Orders> order = new List<Orders>();
        protected void Page_Load(object sender, EventArgs e)
        {
            GridDataBind();
        }


         protected void GridDataBind()
        {
            try
            {
                BindDataSource();

              
            }
            catch (Exception e)
            {
                Response.Redirect("~/Page/APJC_error.aspx?param1=Error_WorkOrder");
                Response.End();
            }
        }


        private void BindDataSource()
        {
            if (order.Count == 0)
            {
                int code = 10000;
                for (int i = 1; i < 5; i++)
                {
                    order.Add(new Orders(code + 1, new DateTime(1991, 05, 15), i + 1, "Vins et alcoos Chevalier", "Berlin", "Argentina", true, false));
                    order.Add(new Orders(code + 2, new DateTime(1990, 04, 04), i + 2, "Toms spezialitatean", "Madrid", "Autria", true, true));
                    order.Add(new Orders(code + 3, new DateTime(1957, 11, 30), i + 3, "Hanari Carnes", "Cholchester", "Austria", false, true));
                    order.Add(new Orders(code + 4, new DateTime(1930, 10, 22), i + 4, "Victuailles en stock", "Marseille", "Argentina", false, false));
                    order.Add(new Orders(code + 5, new DateTime(1953, 02, 18), i + 5, "Supremes delices", "Tsawassen", "Argentina", true, false));
                    code += 5;
                }
            }
            this.Grid.DataSource = order;
            this.Grid.DataBind();
        }

        [Serializable]
        public class Orders
        {
            public Orders()
            {

            }
            public Orders(long OrderId, DateTime OrderDate, double Freight, string ShipName, string ShipCity, string ShipCountry , bool Extract, bool Ui)
            {
                this.Boat_ID = OrderId;
                this.project_ID = OrderDate;
                this.Freight = Freight;
                this.Name = ShipName;
                this.Notes = ShipCity;
                this.Estimated_Total_Hours = ShipCountry;
                this.Extract = Extract;
                this.Ui = Ui;
            }
            public long Boat_ID { get; set; }
            public DateTime project_ID { get; set; }
            public double Freight { get; set; }
            public string Name { get; set; }
            public string Notes { get; set; }
            public string Estimated_Total_Hours { get; set; }
            public bool Extract { get;  set; }
            public bool Ui { get; set; }
        }

        protected void Grid_ServerExcelExporting(object sender, Syncfusion.JavaScript.Web.GridEventArgs e)
        {

        }
    }

}
